From:  james.h.covington@gmail.com
Date:  09 Nov 2017 22:28:52 Hong Kong Time
Newsgroup:  news.mozilla.org/mozilla.dev.security
Subject:  

Problem with NSS and Oracle JDK 1.8.0update152

NNTP-Posting-Host:  63.245.214.181

I am using Mozilla NSS 3.23 to enable FIPS 140-2 cryptography for my Red Hat JBoss EAP 6.4 application server. JBoss is hosted on a Windows 2008 Server VM and I am using Oracle JDK 1.8.0_131.
Yesterday, I upgraded my JDK to 1.8.0_152 and am now getting the following error in my run.log:

Could not initialize nss at sun.security.pkcs11.SunPKCS11.(SunPKCS11.java:212) [sunpkcs11.jar:1.8.0_161]

Specified module could not be found.

Has anyone else run across this error? Any help out there? I've submitted a support ticket with Red Hat, but am uncertain whether they will help since it's not really their software.